Bug 1410599 - Initial language selection is too sticky, cannot be reverted later on through a dialog
Summary: Initial language selection is too sticky, cannot be reverted later on through...
Keywords:
Status: CLOSED DUPLICATE of bug 1300148
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 20:54 UTC by Jan Pokorný [poki]
Modified: 2017-12-12 11:59 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 11:59:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Pokorný [poki] 2017-01-05 20:54:52 UTC
The problem I observed was this:

0. install Fedora while being connected to internet
1. in the initial language selection preselected by some heuristic
   based likely on geoip, observe you have everything in language
   A different from English; A is also preselected and subsequently
   confirmed by the user
2. realize you actually want a different language (English), go "back"
   (almost identically looking Language Support dialog) choose English
3. observe:
   a. previously selected language A cannot be deselected
   b. when confirmed with English added, the dialog strings are still
      in language A

My suggestion is that the functionality of the very initial language
support selection and subsequent dialog to adjust the preferences
for that should be functionally equivalent, not that the former is
binding and the latter is just additive.


FWIW, it reminds me a really bad design of installer of "the other
operating system" where a mistake in initial language selection seemed
even more fatal, while here, the remedy is simply a reboot.
Which is still anoying enough (for me) and hence this bug report.

Comment 1 Jan Pokorný [poki] 2017-01-05 20:57:14 UTC
With Fedora-Server-netinst-x86_64-Rawhide-20170103.n.0.iso,
anaconda 26.16-1.

Comment 2 Fedora End Of Life 2017-02-28 10:53:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Martin Kolman 2017-12-06 14:08:12 UTC
IIRC this is at least partially caused by GTK not being to switch translation language at runtime. We do some nasty hacks to do change it for the language selection screen and it is basically impossible to do once all the screens and widgets have been loaded.

There is a chance GTK has improved since as it's some time since we last looked into this.

Comment 4 Jan Pokorný [poki] 2017-12-07 17:26:31 UTC
I don't know the exact limitations, but a generic possibility
not relying on the UI toolkit might be like:
1. serialize current state (if suitable)
2. exec the program anew or spawn a new instance in parallel,
   graphically overlying the original
3. in the new program instance, deserialize the state from 1.
   (if suitable)
4. terminate the old instance from 2. if running in parallel

Comment 5 Samantha N. Bueno 2017-12-12 11:59:14 UTC

*** This bug has been marked as a duplicate of bug 1300148 ***


Note You need to log in before you can comment on or make changes to this bug.